# Delete tag DELETE https://app.askelephant.ai/api/v2/tags/{tag_id} Soft deletes a single workspace tag. Requires the `tags:write` scope. Reference: https://docs.askelephant.ai/api-reference/tags/delete-tag ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AskElephant Public API version: 1.0.0 paths: /v2/tags/{tag_id}: delete: operationId: delete-tag summary: Delete tag description: Soft deletes a single workspace tag. Requires the `tags:write` scope. tags: - subpackage_tags parameters: - name: tag_id in: path required: true schema: type: string - name: Authorization in: header description: Bearer authentication required: true schema: type: string responses: '200': description: Delete confirmation response. content: application/json: schema: $ref: '#/components/schemas/tag_delete_response' '401': description: Authentication is missing or invalid. content: application/json: schema: $ref: '#/components/schemas/error' '403': description: Authenticated but missing required scope. content: application/json: schema: $ref: '#/components/schemas/error' '404': description: The requested resource does not exist. content: application/json: schema: $ref: '#/components/schemas/error' '429': description: Too many requests. content: application/json: schema: $ref: '#/components/schemas/error' '500': description: Unexpected server error. content: application/json: schema: $ref: '#/components/schemas/error' servers: - url: https://app.askelephant.ai/api - url: https://app-staging.askelephant.ai/api components: schemas: TagDeleteResponseObject: type: string enum: - tag title: TagDeleteResponseObject tag_delete_response: type: object properties: id: type: string object: $ref: '#/components/schemas/TagDeleteResponseObject' deleted: type: boolean required: - id - object - deleted title: tag_delete_response error_item: type: object properties: field: type: string description: Request field or parameter associated with the error. code: type: string description: Stable machine-readable error code. message: type: string description: Human-readable explanation of the error. required: - code - message description: Structured validation or field-level error detail. title: error_item error: type: object properties: type: type: string format: uri description: Stable URI identifying the error category. title: type: string description: Short human-readable summary of the error. status: type: integer description: HTTP status code for this error response. detail: type: string description: Human-readable explanation specific to this request. request_id: type: string description: Correlation identifier for support and debugging. errors: type: array items: $ref: '#/components/schemas/error_item' description: Optional field-level validation errors. required: - type - title - status - detail - request_id description: RFC 9457 problem details response returned for client-visible failures. title: error securitySchemes: BearerAuth: type: http scheme: bearer ``` ## SDK Code Examples ```python import requests url = "https://app.askelephant.ai/api/v2/tags/tag_id" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.delete(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.askelephant.ai/api/v2/tags/tag_id'; const options = { method: 'DELETE', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.askelephant.ai/api/v2/tags/tag_id" payload := strings.NewReader("{}") req, _ := http.NewRequest("DELETE", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.askelephant.ai/api/v2/tags/tag_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://app.askelephant.ai/api/v2/tags/tag_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('DELETE', 'https://app.askelephant.ai/api/v2/tags/tag_id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.askelephant.ai/api/v2/tags/tag_id"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.askelephant.ai/api/v2/tags/tag_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```